This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Client
Name | ### readString()
Examples |
    // Example by Tom Igoe

    import processing.net.*;
    Client myClient;
    String inString;
    byte interesting = 10;

    void setup() {
      size (300, 100);
      // Connect to the local machine at port 10002.
      // This example will not run if you haven't
      // previously started a server on this port.
      myClient = new Client(this, "127.0.0.1", 10002);
    }

    void draw() {
      if (myClient.available() > 0) {
        background(0);
        inString = myClient.readString();
        println(inString);
      }
    }
Description | Returns the all the data from the buffer as a String. This method assumes the incoming characters are ASCII. If you want to transfer Unicode data, first convert the String to a byte stream in the representation of your choice (i.e. UTF8 or two-byte Unicode data), and send it as a byte array.
Syntax |
    client.readString()
Parameters |
client | Client: any variable of type Client
Returns | String

Updated on October 26, 2013 08:58:28pm PDT